hadoop-common-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Konstantin Shvachko (JIRA)" <j...@apache.org>
Subject [jira] Commented: (HADOOP-3530) Redundant error logging in FSNamesystem.
Date Wed, 11 Jun 2008 18:54:45 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-3530?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12604308#action_12604308
] 

Konstantin Shvachko commented on HADOOP-3530:
---------------------------------------------

I was in fact talking about the following new line in the code:
{code}
FSNamesystem(NameNode nn, Configuration conf) throws IOException {
  try {
    initialize(nn, conf);
  } catch(IOException e) {
    LOG.error(getClass().getSimpleName() + " initialization failed.", e);
    close();
    throw e;
  }
}
{code}
There is no finally there.

> Redundant error logging in FSNamesystem.
> ----------------------------------------
>
>                 Key: HADOOP-3530
>                 URL: https://issues.apache.org/jira/browse/HADOOP-3530
>             Project: Hadoop Core
>          Issue Type: Bug
>          Components: dfs
>    Affects Versions: 0.18.0
>            Reporter: Konstantin Shvachko
>            Assignee: Tsz Wo (Nicholas), SZE
>            Priority: Critical
>             Fix For: 0.19.0
>
>
> HADOOP-3509 introduced a new error message which is logged if FSNamesystem fails to initialize.

> This message turned out to be redundant, because it should and is logged further up the
stack say in NameNode.main().
> Right now I see the exception logged twice when I run a stand-alone name-node.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message